#include <pslib.h>
#include <stdlib.h>

int main ()
{
    psDB            *dbh;

    dbh = psDBInit("localhost", "test", NULL, "test", 0);
    if (!dbh) {
        exit(EXIT_FAILURE);
    }

    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS expTagCounter");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS summitExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS summitImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS pzPendingExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS pzPendingImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS pzDoneExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS pzDoneImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS newExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS newImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS rawExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS rawImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p1PendingExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p2PendingExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p2PendingImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p2ProcessedExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p2Mask");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p2ProcessedImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p3PendingExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p3ProcessedExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p3Mask");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detRun");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detInputExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detProcessedImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detProcessedExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detStackedImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detNormalizedStatImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detNormalizedImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detNormalizedExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detResidImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detResidExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS detRunSummary");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4aRun");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4aInputExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4aScfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4bRun");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4bInputScfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4bDiffScfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4cRun");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4cInputExp");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS p4MagicMaskImfile");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS skyCell");
    p_psDBRunQuery(dbh, "DROP TABLE IF EXISTS skyCellMap");

    psDBCleanup(dbh);

    exit(EXIT_SUCCESS);
}
